Subject: Re: [PATCH v2 1/1] build-system/pyproject: Do not wrap native-inputs.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 23 Jan 2023 11:27:37 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Fixes <https://issues.guix.gnu.org/25235>.
>
> * guix/build/pyproject-build-system.scm (wrap) [native-inputs]: New argument.
> Filter out native inputs from the values in GUIX_PYTHONPATH.

LGTM!

> -  ;; Do not require "guile" to be present in the package inputs
> -  ;; even when there is nothing to wrap.
> -  ;; Also, calculate (guile) only once to prevent some I/O.
> -  (define %guile (delay (search-input-file inputs "bin/guile")))
> -  (define (guile) (force %guile))

I still don’t see what branch this snippet is on, what am I missing?
:-)

Thanks,
Ludo’.